Package ghidra.pty.unix

# Class PosixC.Winsize

java.lang.Object
com.sun.jna.Structure
ghidra.pty.unix.PosixC.Winsize

Direct Known Subclasses:
  `PosixC.Winsize.ByReference`

Enclosing interface:
  `PosixC`

@FieldOrder({"ws_row","ws_col","ws_xpixel","ws_ypixel"}) public static class PosixC.Winsize extends com.sun.jna.Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `PosixC.Winsize.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `com.sun.jna.Structure.ByValue, com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `short`
  `ws_col`
  `short`
  `ws_row`
  `short`
  `ws_xpixel`
  `short`
  `ws_ypixel`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Winsize()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ws_row

    public short ws_row

  - ### ws_col

    public short ws_col

  - ### ws_xpixel

    public short ws_xpixel

  - ### ws_ypixel

    public short ws_ypixel

- ## Constructor Details

  - ### Winsize

    public Winsize()